std::condition_variable_any(3cxx)

NAME
std::condition_variable_any - condition_variable_any

SYNOPSIS

#include <condition_variable>

  Public Member Functions

condition_variable_any (const condition_variable_any &)=delete
void notify_all () noexcept
void notify_one () noexcept
condition_variable_any & operator= (const condition_variable_any &)=delete
template<typename _Lock> void wait (_Lock &__lock)
template<typename _Lock, typename _Predicate> void wait (_Lock &__lock, _Predicate __p)
template<class _Lock, class _Predicate> bool wait (_Lock &__lock, stop_token __stoken, _Predicate __p)
template<typename _Lock, typename _Rep, typename _Period> cv_status wait_for (_Lock &__lock, const chrono::duration< _Rep, _Period > &__rtime)
template<typename _Lock, typename _Rep, typename _Period, typename _Predicate> bool wait_for (_Lock &__lock, const chrono::duration< _Rep, _Period > &__rtime, _Predicate __p)
template<class _Lock, class _Rep, class _Period, class _Predicate> bool wait_for (_Lock &__lock, stop_token __stoken, const chrono::duration< _Rep, _Period > &__rel_time, _Predicate __p)
template<typename _Lock, typename _Clock, typename _Duration> cv_status wait_until (_Lock &__lock, const chrono::time_point< _Clock, _Duration > &__atime)
template<typename _Lock, typename _Clock, typename _Duration, typename _Predicate> bool wait_until (_Lock &__lock, const chrono::time_point< _Clock, _Duration > &__atime, _Predicate __p)
template<class _Lock, class _Clock, class _Duration, class _Predicate> bool wait_until (_Lock &__lock, stop_token __stoken, const chrono::time_point< _Clock, _Duration > &__abs_time, _Predicate __p)

Detailed Description

condition_variable_any

Author

Generated automatically by Doxygen for libstdc++ from the source code.